xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) 2007 Andrea Rossato, David Roundy
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Util.Invisible

Contents

- Usage:

Description

A data type to store the layout state

Synopsis

- newtype Invisible m a = I (m a)
- whenIJust :: Monad m => Invisible Maybe a -> (a -> m ()) -> m ()
- fromIMaybe :: a -> Invisible Maybe a -> a

# Usage:

A wrapper data type to store layout state that shouldn't be persisted across restarts. A common wrapped type to use is `Maybe a`. Invisible derives trivial definitions for Read and Show, so the wrapped data type need not do so.

newtype Invisible m a Source

Constructors

I (m a) |

Instances

Monad m => Monad (Invisible m) Source |
Functor m => Functor (Invisible m) Source |
Applicative m => Applicative (Invisible m) Source |
(Functor m, Monad m) => Read (Invisible m a) Source |
Monad m => Show (Invisible m a) Source |

whenIJust :: Monad m => Invisible Maybe a -> (a -> m ()) -> m () Source

fromIMaybe :: a -> Invisible Maybe a -> a Source